SAMPLE_END_CAKE_BALD =    audio_sample_load("end_cake.ogg")

local E_MODEL_BALD = smlua_model_util_get_id("bald_recolor_geo")
local E_MODEL_BALD64 = smlua_model_util_get_id("bald64_geo")

local TEXT_MOD_NAME = "Baldi"

local VOICETABLE_BALD = {
    [CHAR_SOUND_ATTACKED] = 'BALDWOAH.ogg',
    [CHAR_SOUND_DOH] = 'BALDWOAH.ogg',
    [CHAR_SOUND_DYING] = 'BAL_Ohh.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'BALDOH.ogg',
    [CHAR_SOUND_HAHA] = 'BALD_TRIPJUMP.ogg',
    [CHAR_SOUND_HAHA_2] = 'BALD_TRIPJUMP.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'BAL_Wow.ogg',
    [CHAR_SOUND_HOOHOO] = 'BALD_JUMP2.ogg',
    [CHAR_SOUND_HRMM] = 'BALDWOAH.ogg',
    [CHAR_SOUND_LETS_A_GO] = 'BALDTHATSMEE.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'BALDCANT.ogg',
	[CHAR_SOUND_OKEY_DOKEY] = 'BALDTHATSMEE.ogg',
    [CHAR_SOUND_ON_FIRE] = 'BAL_Ohh.ogg',
    [CHAR_SOUND_OOOF] = 'BALDWOAH.ogg',
    [CHAR_SOUND_OOOF2] = 'BALDWOAH.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'BALD_TRIPJUMP.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'BALD_JUMP2.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'BALD_JUMP1.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'BALDHAHAHA.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'BALDWOAH.ogg',
    [CHAR_SOUND_UH] = 'BALD_JUMP1.ogg',
    [CHAR_SOUND_UH2] = 'BALD_JUMP2.ogg',
    [CHAR_SOUND_UH2_2] = 'BALD_JUMP1.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'BALDWOAAAAAAAHH.ogg',
    [CHAR_SOUND_WAH2] = 'BALD_JUMP2.ogg',
    [CHAR_SOUND_WHOA] = 'BALDWOAH.ogg',
    [CHAR_SOUND_YAHOO] = 'BALD_TRIPJUMP.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = {'BALD_TRIPJUMP.ogg', 'BALD_TRIPJUMP.ogg'},
    [CHAR_SOUND_YAH_WAH_HOO] = 'BALD_JUMP1.ogg'
}
local PALETTE_BALD = {
    [PANTS]  = { r = 0x28, g = 0x26, b = 0xCE },
    [SHIRT]  = { r = 0x16, g = 0xC2, b = 0x13 },
    [GLOVES] = { r = 0xD9, g = 0xC0, b = 0x83 },
    [SHOES]  = { r = 0xC5, g = 0x74, b = 0x08 },
    [HAIR]   = { r = 0x87, g = 0x4B, b = 0x00 },
    [SKIN]   = { r = 0xD9, g = 0xC0, b = 0x83 },
    [CAP]    = { r = 0x16, g = 0xC2, b = 0x13 },
    [EMBLEM] = { r = 0x16, g = 0xC2, b = 0x13 }
}

local PALETTE_BALD64 = {
    [PANTS]  = { r = 0x28, g = 0x26, b = 0xCE },
    [SHIRT]  = { r = 0x16, g = 0xC2, b = 0x13 },
    [GLOVES] = { r = 0xD9, g = 0xC0, b = 0x83 },
    [SHOES]  = { r = 0xC5, g = 0x74, b = 0x08 },
    [HAIR]   = { r = 0x87, g = 0x4B, b = 0x00 },
    [SKIN]   = { r = 0xD9, g = 0xC0, b = 0x83 },
    [CAP]    = { r = 0x16, g = 0xC2, b = 0x13 },
    [EMBLEM] = { r = 0x16, g = 0xC2, b = 0x13 }
}


local TEX_BALD = get_texture_info("bald-icon")
local TEX_BALD64 = get_texture_info("bald64-icon")

if _G.charSelectExists then
    _G.charSelect.character_add("OG Baldi", {"The og model, now no longer desaturated!"}, "CT Himself, Mystman12", {r = 0, g = 247, b = 0}, E_MODEL_BALD, CT_MARIO, TEX_BALD)
    _G.charSelect.character_add_palette_preset(E_MODEL_BALD, PALETTE_BALD)

        _G.charSelect.character_add("Baldi", {"Thats Me!"}, "CT Himself, Mystman12", {r = 0, g = 247, b = 0}, E_MODEL_BALD64, CT_MARIO, TEX_BALD64)
        _G.charSelect.character_add_palette_preset(E_MODEL_BALD64, PALETTE_BALD64)

    _G.charSelect.character_add_voice(E_MODEL_BALD, VOICETABLE_BALD)
    _G.charSelect.character_add_voice(E_MODEL_BALD64, VOICETABLE_BALD)

    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BALD then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_BALD then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end

if soundBits == SOUND_MENU_THANK_YOU_PLAYING_MY_GAME then
     audio_sample_stop(SAMPLE_END_CAKE)
     audio_sample_play(SAMPLE_END_CAKE_BALD, pos, 1)
    return NO_SOUND
end

